package oracle.forms.fd.jdapiutil;

import oracle.forms.jdapi.*;

public class AlertObject 
{
    
    /**---------------------*
     *  set String values   *
     *----------------------*/
    boolean setProperty(Alert alt, String sProperty, String sValue ) {
       try{
         if(sProperty.equalsIgnoreCase("setAlertMessage")) alt.setAlertMessage(sValue); 
         else if(sProperty.equalsIgnoreCase("setBackColor")) alt.setBackColor(sValue); 
         else if(sProperty.equalsIgnoreCase("setButton1Label")) alt.setButton1Label(sValue); 
         else if(sProperty.equalsIgnoreCase("setButton2Label")) alt.setButton2Label(sValue); 
         else if(sProperty.equalsIgnoreCase("setButton3Label")) alt.setButton3Label(sValue); 
         else if(sProperty.equalsIgnoreCase("setComment")) alt.setComment(sValue); 
         else if(sProperty.equalsIgnoreCase("setFillPattern")) alt.setFillPattern(sValue); 
         else if(sProperty.equalsIgnoreCase("setFontName")) alt.setFontName(sValue); 
         else if(sProperty.equalsIgnoreCase("setForegroundColor")) alt.setForegroundColor(sValue); 
         else if(sProperty.equalsIgnoreCase("setName")) alt.setName(sValue); 
         else if(sProperty.equalsIgnoreCase("setTitle")) alt.setTitle(sValue); 
         else if(sProperty.equalsIgnoreCase("setVisualAttributeName")) alt.setVisualAttributeName(sValue); 
       // boolean properties
         else if(sProperty.equalsIgnoreCase("setSubclassObjectGroup")) alt.setSubclassObjectGroup(JDAPIUtil.getBooleanValue(sValue));
       // integer properties
         else if(sProperty.equalsIgnoreCase("setAlertStyle")) alt.setAlertStyle(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setDefaultAlertButton")) alt.setDefaultAlertButton(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontSize")) alt.setFontSize(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontSpacing")) alt.setFontSpacing(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontStyle")) alt.setFontStyle(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontWeight")) alt.setFontWeight(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setLanguageDirection")) alt.setLanguageDirection(Integer.parseInt(sValue)); 
       }
        catch (Exception e) 
        {            
            System.setErr(System.out);
            printError("Alert.setProperty() Unable to apply property: "+sProperty+"="+sValue+". Error details: " + e.toString());
            return false ;
        }
        return true ;
    }    


    /**------------------------------------------------*
     *  Simply prints an error message to the console  *
     *-------------------------------------------------*/
    private void printError(String errorString)
    {
      System.out.println(JDAPIUtil.sModule_name + " ** ERROR ** " + errorString);
    }


}

