package oracle.forms.fd.jdapiutil;

import oracle.forms.jdapi.*;

public class ItemObject{
    
    /**---------------------*
     *  set String values   *
     *----------------------*/
    boolean setProperty(Item itm, String sProperty, String sValue ) {
       try{
       if(sProperty.equalsIgnoreCase("setAccessKey")) itm.setAccessKey(sValue); 
       else if(sProperty.equalsIgnoreCase("setBackColor")) itm.setBackColor(sValue); 
       else if(sProperty.equalsIgnoreCase("setCanvasName")) itm.setCanvasName(sValue); 
       else if(sProperty.equalsIgnoreCase("setCheckedValue")) itm.setCheckedValue(sValue); 
       else if(sProperty.equalsIgnoreCase("setColumnName")) itm.setColumnName(sValue); 
       else if(sProperty.equalsIgnoreCase("setComment")) itm.setComment(sValue); 
       else if(sProperty.equalsIgnoreCase("setCopyValueFromItem")) itm.setCopyValueFromItem(sValue); 
       else if(sProperty.equalsIgnoreCase("setDataSourceBlock")) itm.setDataSourceBlock(sValue); 
       else if(sProperty.equalsIgnoreCase("setEditName")) itm.setEditName(sValue); 
       else if(sProperty.equalsIgnoreCase("setFilename")) itm.setFilename(sValue); 
       else if(sProperty.equalsIgnoreCase("setFillPattern")) itm.setFillPattern(sValue); 
       else if(sProperty.equalsIgnoreCase("setFontName")) itm.setFontName(sValue); 
       else if(sProperty.equalsIgnoreCase("setForegroundColor")) itm.setForegroundColor(sValue); 
       else if(sProperty.equalsIgnoreCase("setFormatMask")) itm.setFormatMask(sValue); 
       else if(sProperty.equalsIgnoreCase("setFormula")) itm.setFormula(sValue); 
       else if(sProperty.equalsIgnoreCase("setHelpBookTopic")) itm.setHelpBookTopic(sValue); 
       else if(sProperty.equalsIgnoreCase("setHighestAllowedValue")) itm.setHighestAllowedValue(sValue); 
       else if(sProperty.equalsIgnoreCase("setHint")) itm.setHint(sValue); 
       else if(sProperty.equalsIgnoreCase("setIconFilename")) itm.setIconFilename(sValue); 
       else if(sProperty.equalsIgnoreCase("setImplementationClass")) itm.setImplementationClass(sValue); 
       else if(sProperty.equalsIgnoreCase("setInitializeValue")) itm.setInitializeValue(sValue); 
       else if(sProperty.equalsIgnoreCase("setLabel")) itm.setLabel(sValue); 
       else if(sProperty.equalsIgnoreCase("setLovName")) itm.setLovName(sValue); 
       else if(sProperty.equalsIgnoreCase("setLowestAllowedValue")) itm.setLowestAllowedValue(sValue); 
       else if(sProperty.equalsIgnoreCase("setName")) itm.setName(sValue); 
       else if(sProperty.equalsIgnoreCase("setNextNavigationItemName")) itm.setNextNavigationItemName(sValue); 
       else if(sProperty.equalsIgnoreCase("setOtherValues")) itm.setOtherValues(sValue); 
       else if(sProperty.equalsIgnoreCase("setPopupMenuName")) itm.setPopupMenuName(sValue); 
       else if(sProperty.equalsIgnoreCase("setPreviousNavigationItemName")) itm.setPreviousNavigationItemName(sValue); 
       else if(sProperty.equalsIgnoreCase("setPrompt")) itm.setPrompt(sValue); 
       else if(sProperty.equalsIgnoreCase("setPromptBackColor")) itm.setPromptBackColor(sValue); 
       else if(sProperty.equalsIgnoreCase("setPromptFillPattern")) itm.setPromptFillPattern(sValue); 
       else if(sProperty.equalsIgnoreCase("setPromptFontName")) itm.setPromptFontName(sValue); 
       else if(sProperty.equalsIgnoreCase("setPromptForegroundColor")) itm.setPromptForegroundColor(sValue); 
       else if(sProperty.equalsIgnoreCase("setPromptVisualAttributeName")) itm.setPromptVisualAttributeName(sValue); 
       //only JDAPI 10g
       //else if(sProperty.equalsIgnoreCase("setQueryName")) itm.setQueryName(sValue); 
       else if(sProperty.equalsIgnoreCase("setRecordGroupName")) itm.setRecordGroupName(sValue); 
       else if(sProperty.equalsIgnoreCase("setRecordVisualAttributeGroupName")) itm.setRecordVisualAttributeGroupName(sValue); 
       else if(sProperty.equalsIgnoreCase("setSummaryBlockName")) itm.setSummaryBlockName(sValue); 
       else if(sProperty.equalsIgnoreCase("setSummaryItemName")) itm.setSummaryItemName(sValue); 
       else if(sProperty.equalsIgnoreCase("setSynchronizedItemName")) itm.setSynchronizedItemName(sValue); 
       else if(sProperty.equalsIgnoreCase("setTabPageName")) itm.setTabPageName(sValue); 
       else if(sProperty.equalsIgnoreCase("setTooltip")) itm.setTooltip(sValue); 
       else if(sProperty.equalsIgnoreCase("setTooltipVisualAttributeGroup")) itm.setTooltipVisualAttributeGroup(sValue); 
       else if(sProperty.equalsIgnoreCase("setTreeDataQuery")) itm.setTreeDataQuery(sValue); 
       else if(sProperty.equalsIgnoreCase("setUncheckedValue")) itm.setUncheckedValue(sValue); 
       else if(sProperty.equalsIgnoreCase("setVisualAttributeName")) itm.setVisualAttributeName(sValue); 
       // boolean properties
       else if(sProperty.equalsIgnoreCase("setAutoHint")) itm.setAutoHint(JDAPIUtil.getBooleanValue(sValue));//JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setAutoSkip")) itm.setAutoSkip(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setCaseInsensitiveQuery")) itm.setCaseInsensitiveQuery(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setConcealData")) itm.setConcealData(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setDatabaseItem")) itm.setDatabaseItem(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setDefaultButton")) itm.setDefaultButton(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setDirtyInfo")) itm.setDirtyInfo(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setEnabled")) itm.setEnabled(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setFixedLength")) itm.setFixedLength(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setIconic")) itm.setIconic(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setInsertAllowed")) itm.setInsertAllowed(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setKeepCursorPosition")) itm.setKeepCursorPosition(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setKeyboardNavigable")) itm.setKeyboardNavigable(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setLockRecord")) itm.setLockRecord(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setMouseNavigate")) itm.setMouseNavigate(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setMultiLine")) itm.setMultiLine(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPrimaryKey")) itm.setPrimaryKey(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setQueryAllowed")) itm.setQueryAllowed(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setQueryOnly")) itm.setQueryOnly(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setRendered")) itm.setRendered(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setRequired")) itm.setRequired(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setShowFastForward")) itm.setShowFastForward(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setShowHorizontalScrollbar")) itm.setShowHorizontalScrollbar(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setShowPlay")) itm.setShowPlay(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setShowRecord")) itm.setShowRecord(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setShowRewind")) itm.setShowRewind(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setShowSlider")) itm.setShowSlider(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setShowTime")) itm.setShowTime(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setShowVerticalScrollbar")) itm.setShowVerticalScrollbar(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setShowVolume")) itm.setShowVolume(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setTreeAllowEmpBranch")) itm.setTreeAllowEmpBranch(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setTreeMultiSelect")) itm.setTreeMultiSelect(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setTreeShowLines")) itm.setTreeShowLines(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setTreeShowSymbol")) itm.setTreeShowSymbol(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setUpdateAllowed")) itm.setUpdateAllowed(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setUpdateCommit")) itm.setUpdateCommit(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setUpdateIfNull")) itm.setUpdateIfNull(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setUpdateQuery")) itm.setUpdateQuery(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setValidateFromList")) itm.setValidateFromList(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setVisible")) itm.setVisible(JDAPIUtil.getBooleanValue(sValue));     
       // integer properties
       else if(sProperty.equalsIgnoreCase("setBevel")) itm.setBevel(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setCalculateMode")) itm.setCalculateMode(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setCaseRestriction")) itm.setCaseRestriction(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setCheckBoxOtherValues")) itm.setCheckBoxOtherValues(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setCommMode")) itm.setCommMode(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setCompress")) itm.setCompress(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setCompressionQuality")) itm.setCompressionQuality(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setDataLengthSemantics")) itm.setDataLengthSemantics(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setDataType")) itm.setDataType(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setDisplayQuality")) itm.setDisplayQuality(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setDistanceBetweenRecords")) itm.setDistanceBetweenRecords(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setEditXPosition")) itm.setEditXPosition(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setEditYPosition")) itm.setEditYPosition(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setExecuteMode")) itm.setExecuteMode(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setFontSize")) itm.setFontSize(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setFontSpacing")) itm.setFontSpacing(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setFontStyle")) itm.setFontStyle(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setFontWeight")) itm.setFontWeight(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setHeight")) itm.setHeight(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setImageDepth")) itm.setImageDepth(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setImageFormat")) itm.setImageFormat(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setInitializeKeyboardDirection")) itm.setInitializeKeyboardDirection(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setItemsDisplay")) itm.setItemsDisplay(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setItemType")) itm.setItemType(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setJustification")) itm.setJustification(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setKeyboardState")) itm.setKeyboardState(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setLanguageDirection")) itm.setLanguageDirection(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setListStyle")) itm.setListStyle(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setLovXPosition")) itm.setLovXPosition(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setLovYPosition")) itm.setLovYPosition(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setMaximumLength")) itm.setMaximumLength(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPromptAlign")) itm.setPromptAlign(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPromptAlignOffset")) itm.setPromptAlignOffset(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPromptAttachmentEdge")) itm.setPromptAttachmentEdge(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPromptAttachmentOffset")) itm.setPromptAttachmentOffset(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPromptDisplayStyle")) itm.setPromptDisplayStyle(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPromptFontSize")) itm.setPromptFontSize(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPromptFontSpacing")) itm.setPromptFontSpacing(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPromptFontStyle")) itm.setPromptFontStyle(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPromptFontWeight")) itm.setPromptFontWeight(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPromptJustification")) itm.setPromptJustification(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPromptReadingOrder")) itm.setPromptReadingOrder(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setQueryLength")) itm.setQueryLength(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setReadingOrder")) itm.setReadingOrder(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setSizingStyle")) itm.setSizingStyle(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setSoundFormat")) itm.setSoundFormat(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setSoundQuality")) itm.setSoundQuality(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setSummaryFunction")) itm.setSummaryFunction(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setWidth")) itm.setWidth(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setWrapStyle")) itm.setWrapStyle(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setXPosition")) itm.setXPosition(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setYPosition")) itm.setYPosition(Integer.parseInt(sValue));     
       }
        catch (Exception e) 
        {            
            System.setErr(System.out);
            printError("Item.setProperty() Unable to apply property: "+sProperty+"="+sValue+". Error details: " + e.toString());
            return false ;
        }
        return true ;
    }    


    /**------------------------------------------------*
     *  Simply prints an error message to the console  *
     *-------------------------------------------------*/
    private void printError(String errorString)
    {
      System.out.println(JDAPIUtil.sModule_name + " ** ERROR ** " + errorString);
    }


}
