package oracle.forms.fd.jdapiutil;


import oracle.forms.jdapi.*;

public class BlockObject 
{
    
    /**---------------------*
     *  set String values   *
     *----------------------*/
    boolean setProperty(Block blk, String sProperty, String sValue ) {
       try{
       if(sProperty.equalsIgnoreCase("setAlias")) blk.setAlias(sValue); 
       else if(sProperty.equalsIgnoreCase("setBackColor")) blk.setBackColor(sValue); 
       else if(sProperty.equalsIgnoreCase("setComment")) blk.setComment(sValue); 
       else if(sProperty.equalsIgnoreCase("setDeleteProcedureName")) blk.setDeleteProcedureName(sValue); 
       else if(sProperty.equalsIgnoreCase("setDMLDataName")) blk.setDMLDataName(sValue); 
       else if(sProperty.equalsIgnoreCase("setFillPattern")) blk.setFillPattern(sValue); 
       else if(sProperty.equalsIgnoreCase("setForegroundColor")) blk.setForegroundColor(sValue); 
       else if(sProperty.equalsIgnoreCase("setInsertProcedureName")) blk.setInsertProcedureName(sValue); 
       else if(sProperty.equalsIgnoreCase("setLockProcedureName")) blk.setLockProcedureName(sValue); 
       else if(sProperty.equalsIgnoreCase("setName")) blk.setName(sValue); 
       else if(sProperty.equalsIgnoreCase("setNextNavigationBlockName")) blk.setNextNavigationBlockName(sValue); 
       else if(sProperty.equalsIgnoreCase("setOptionHint")) blk.setOptionHint(sValue); 
       else if(sProperty.equalsIgnoreCase("setOrderByClause")) blk.setOrderByClause(sValue); 
       else if(sProperty.equalsIgnoreCase("setParentFilename")) blk.setParentFilename(sValue); 
       else if(sProperty.equalsIgnoreCase("setParentFilepath")) blk.setParentFilepath(sValue); 
       else if(sProperty.equalsIgnoreCase("setParentModule")) blk.setParentModule(sValue); 
       else if(sProperty.equalsIgnoreCase("setParentName")) blk.setParentName(sValue); 
       else if(sProperty.equalsIgnoreCase("setPreviousNavigationBlockName")) blk.setPreviousNavigationBlockName(sValue); 
       else if(sProperty.equalsIgnoreCase("setQueryDataSourceName")) blk.setQueryDataSourceName(sValue); 
       else if(sProperty.equalsIgnoreCase("setRecordVisualAttributeGroupName")) blk.setRecordVisualAttributeGroupName(sValue); 
       else if(sProperty.equalsIgnoreCase("setScrollbarCanvasName")) blk.setScrollbarCanvasName(sValue); 
       else if(sProperty.equalsIgnoreCase("setScrollbarTabPageName")) blk.setScrollbarTabPageName(sValue); 
       else if(sProperty.equalsIgnoreCase("setUpdateProcedureName")) blk.setUpdateProcedureName(sValue); 
       else if(sProperty.equalsIgnoreCase("setVisualAttributeName")) blk.setVisualAttributeName(sValue); 
       else if(sProperty.equalsIgnoreCase("setWhereClause")) blk.setWhereClause(sValue); 
       // boolean properties
       else if(sProperty.equalsIgnoreCase("setDatabaseBlock")) blk.setDatabaseBlock(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setDeleteAllowed")) blk.setDeleteAllowed(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setDMLReturnValue")) blk.setDMLReturnValue(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setEnforcedColumnSecurity")) blk.setEnforcedColumnSecurity(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setEnforcedPrimaryKey")) blk.setEnforcedPrimaryKey(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setIncludeRefitem")) blk.setIncludeRefitem(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setInsertAllowed")) blk.setInsertAllowed(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setPrecompSummary")) blk.setPrecompSummary(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setQueryAllowed")) blk.setQueryAllowed(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setQueryAllRecords")) blk.setQueryAllRecords(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setReverseDirection")) blk.setReverseDirection(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setSingleRecord")) blk.setSingleRecord(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setSubclassObjectGroup")) blk.setSubclassObjectGroup(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setUpdateAllowed")) blk.setUpdateAllowed(JDAPIUtil.getBooleanValue(sValue)); 
       else if(sProperty.equalsIgnoreCase("setUpdateChangedColumns")) blk.setUpdateChangedColumns(JDAPIUtil.getBooleanValue(sValue)); 
       // integer properties
       else if(sProperty.equalsIgnoreCase("setDMLDataType")) blk.setDMLDataType(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setKeyMode")) blk.setKeyMode(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setLanguageDirection")) blk.setLanguageDirection(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setLockMode")) blk.setLockMode(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setMaximumQueryTime")) blk.setMaximumQueryTime(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setMaximumRecordsFetched")) blk.setMaximumRecordsFetched(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setNavigationStyle")) blk.setNavigationStyle(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setParentModuleType")) blk.setParentModuleType(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setParentType")) blk.setParentType(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setQueryDataSourceType")) blk.setQueryDataSourceType(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setRecordOrientation")) blk.setRecordOrientation(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setRecordsBufferedCount")) blk.setRecordsBufferedCount(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setRecordsDisplayCount")) blk.setRecordsDisplayCount(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setRecordsFetchedCount")) blk.setRecordsFetchedCount(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setScrollbarLength")) blk.setScrollbarLength(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setScrollbarOrientation")) blk.setScrollbarOrientation(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setScrollbarWidth")) blk.setScrollbarWidth(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setScrollbarXPosition")) blk.setScrollbarXPosition(Integer.parseInt(sValue)); 
       else if(sProperty.equalsIgnoreCase("setScrollbarYPosition")) blk.setScrollbarYPosition(Integer.parseInt(sValue)); 

       }
        catch (Exception e) 
        {            
            System.setErr(System.out);
            printError("Block.setProperty() Unable to apply property: "+sProperty+"="+sValue+". Error details: " + e.toString());
            return false ;
        }
        return true ;
    }    


    /**------------------------------------------------*
     *  Simply prints an error message to the console  *
     *-------------------------------------------------*/
    private void printError(String errorString)
    {
      System.out.println(JDAPIUtil.sModule_name + " ** ERROR ** " + errorString);
    }


}
