package oracle.forms.fd.jdapiutil;

import oracle.forms.jdapi.*;

public class CanvasObject 
{
    
    /**---------------------*
     *  set String values   *
     *----------------------*/
    boolean setProperty(Canvas cv, String sProperty, String sValue ) {
       try{
         if(sProperty.equalsIgnoreCase("setBackColor")) cv.setBackColor(sValue); 
         else if(sProperty.equalsIgnoreCase("setComment")) cv.setComment(sValue); 
         else if(sProperty.equalsIgnoreCase("setFillPattern")) cv.setFillPattern(sValue); 
         else if(sProperty.equalsIgnoreCase("setFontName")) cv.setFontName(sValue); 
         else if(sProperty.equalsIgnoreCase("setForegroundColor")) cv.setForegroundColor(sValue); 
         else if(sProperty.equalsIgnoreCase("setHelpBookTopic")) cv.setHelpBookTopic(sValue); 
         else if(sProperty.equalsIgnoreCase("setName")) cv.setName(sValue); 
         else if(sProperty.equalsIgnoreCase("setParentFilename")) cv.setParentFilename(sValue); 
         else if(sProperty.equalsIgnoreCase("setParentFilepath")) cv.setParentFilepath(sValue); 
         else if(sProperty.equalsIgnoreCase("setParentModule")) cv.setParentModule(sValue); 
         else if(sProperty.equalsIgnoreCase("setParentName")) cv.setParentName(sValue); 
         else if(sProperty.equalsIgnoreCase("setPopupMenuName")) cv.setPopupMenuName(sValue); 
         else if(sProperty.equalsIgnoreCase("setVisualAttributeName")) cv.setVisualAttributeName(sValue);
         else if(sProperty.equalsIgnoreCase("setWindowName")) cv.setWindowName(sValue); 
       // boolean properties
         else if(sProperty.equalsIgnoreCase("setRaiseOnEnter")) cv.setRaiseOnEnter(JDAPIUtil.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setShowHorizontalScrollbar")) cv.setShowHorizontalScrollbar(JDAPIUtil.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setShowVerticalScrollbar")) cv.setShowVerticalScrollbar(JDAPIUtil.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setSubclassObjectGroup")) cv.setSubclassObjectGroup(JDAPIUtil.getBooleanValue(sValue)); 
         else if(sProperty.equalsIgnoreCase("setVisible")) cv.setVisible(JDAPIUtil.getBooleanValue(sValue)); 
       // integer properties
         else if(sProperty.equalsIgnoreCase("setBevel")) cv.setBevel(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setCanvasType")) cv.setCanvasType(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontSize")) cv.setFontSize(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontSpacing")) cv.setFontSpacing(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontStyle")) cv.setFontStyle(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setFontWeight")) cv.setFontWeight(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setHeight")) cv.setHeight(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setLanguageDirection")) cv.setLanguageDirection(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setParentModuleType")) cv.setParentModuleType(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setParentType")) cv.setParentType(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setTabActionStyle")) cv.setTabActionStyle(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setTabAttachmentEdge")) cv.setTabAttachmentEdge(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setTabStyle")) cv.setTabStyle(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setTabWidthStyle")) cv.setTabWidthStyle(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setViewportHeight")) cv.setViewportHeight(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setViewportWidth")) cv.setViewportWidth(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setViewportXPosition")) cv.setViewportXPosition(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setViewportXPositionOnCanvas")) cv.setViewportXPositionOnCanvas(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setViewportYPosition")) cv.setViewportYPosition(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setViewportYPositionOnCanvas")) cv.setViewportYPositionOnCanvas(Integer.parseInt(sValue)); 
         else if(sProperty.equalsIgnoreCase("setWidth")) cv.setWidth(Integer.parseInt(sValue)); 

       }
        catch (Exception e) 
        {            
            System.setErr(System.out);
            printError("Canvas.setProperty() Unable to apply property: "+sProperty+"="+sValue+". Error details: " + e.toString());
            return false ;
        }
        return true ;
    }    


    /**------------------------------------------------*
     *  Simply prints an error message to the console  *
     *-------------------------------------------------*/
    private void printError(String errorString)
    {
      System.out.println(JDAPIUtil.sModule_name + " ** ERROR ** " + errorString);
    }


}
